package com.aucma.base.mapper;

import java.util.List;
import com.aucma.base.domain.BaseWorkUnit;

/**
 * 统计单元信息Mapper接口
 * 
 * @author Yinq
 * @date 2023-10-12
 */
public interface BaseWorkUnitMapper 
{
    /**
     * 查询统计单元信息
     * 
     * @param objId 统计单元信息主键
     * @return 统计单元信息
     */
    public BaseWorkUnit selectBaseWorkUnitByObjId(Long objId);

    /**
     * 查询统计单元信息列表
     * 
     * @param baseWorkUnit 统计单元信息
     * @return 统计单元信息集合
     */
    public List<BaseWorkUnit> selectBaseWorkUnitList(BaseWorkUnit baseWorkUnit);

    /**
     * 新增统计单元信息
     * 
     * @param baseWorkUnit 统计单元信息
     * @return 结果
     */
    public int insertBaseWorkUnit(BaseWorkUnit baseWorkUnit);

    /**
     * 修改统计单元信息
     * 
     * @param baseWorkUnit 统计单元信息
     * @return 结果
     */
    public int updateBaseWorkUnit(BaseWorkUnit baseWorkUnit);

    /**
     * 删除统计单元信息
     * 
     * @param objId 统计单元信息主键
     * @return 结果
     */
    public int deleteBaseWorkUnitByObjId(Long objId);

    /**
     * 批量删除统计单元信息
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseWorkUnitByObjIds(Long[] objIds);
}
